import request from "@/utils/request";

// 获得入库业务 生产入库
export function getIncomingProduce(id) {
  return request({
    url: "/rtkwms/incoming-produce/get?id=" + id,
    method: "get",
  });
}

// 获得入库业务 生产入库分页--待入库
export function getIncomingProducePage(query) {
  return request({
    url: "/rtkwms/incoming-produce/page",
    method: "get",
    params: query,
  });
}
// 获得入库业务 生产入库分页--已入库
export function getIncomingProduceStockedPage(query) {
  return request({
    url: "/rtkwms/incoming-produce/stockedPage",
    method: "get",
    params: query,
  });
}
// 获得入库业务 生产入库分页--待入库
export function getIncomingProduceDetailPage(query) {
  return request({
    url: "/rtkwms/incoming-produce-detail/ToStockPage",
    method: "get",
    params: query,
  });
}
export function countProductInStoragePage(query) {
  return request({
    url: "/rtkwms/product-in-storage/countProductInStoragePage",
    method: "get",
    params: query,
  });
}
// 获得入库业务 生产入库明细分页--已入库
export function getIncomingProduceDetailStockedPage(query) {
  return request({
    url: "/rtkwms/incoming-produce-detail/page",
    method: "get",
    params: query,
  });
}
// 获得入库业务 入库方案列表
export function getIncomingProduceDetailToStockListPage(query) {
  return request({
    url: "/rtkwms/incoming-produce-detail/toStockListPage",
    method: "get",
    params: query,
  });
}
// 创建WMS 入库业务-来料入库
export function createBatchIncomingProduceDetail(data) {
  return request({
    url: "/rtkwms/incoming-produce-detail/createBatch",
    method: "post",
    data: data,
  });
}

// 获取入库类型下拉列表
export function getStockLogicList(query) {
  return request({
    url: "/rtkwms/stock/stockLogicList",
    method: "get",
    params: query,
  });
}
